package LATMOS::Accounts::Bases::Mail::Aliases;

use strict;
use warnings;

use base qw(LATMOS::Accounts::Bases::Mail::objects);
use LATMOS::Accounts::Log;

our $VERSION = (q$Rev: 641 $ =~ /^Rev: (\d+) /)[0];

sub new {
    my ($class, $base, $id, @args) = @_;
    if (exists($base->{aliases}{$id})) {
        return bless({}, $class);
    } else { return }
}

sub _get_attr_schema {
    my ($class, $base) = @_;
    {
        forward => {},
    }
}

sub get_field {
    my ($self, $field) = @_;
    $field eq 'forward' and do {
        my @forw = split(',', $self->base->{aliases}{$self->id});
        return scalar(@forw) > 1
            ? [ @forw ]
            : $self->base->{aliases}{$self->id};
    };
    return
}

sub set_fields {
    my ($self, %data) = @_;
    if ($data{forward}) {
        $self->base->{aliases}{$self->id} = ref $data{forward}
            ? join(',', @{$data{forward}})
            : $data{forward};
        return 1;
    }
    return;
}

1;
